@extends('layouts.app')

@section('conteudo')


<!-- Hero -->
<div class="bg-image" style="background-image: url('');">
  <div class="bg-black-50">
    <div class="content content-full">
      <div class="d-flex justify-content-between align-items-center">
        <h1 class="flex-grow-1 fs-2 text-white my-2">
          <i class="fa fa-boxes text-white-50 me-1"></i> Chamadas
        </h1>
        @can('pode_registrar_chamada')
        <a class="btn btn-primary my-2" href="/registar_chamada">
          <!-- <a class="btn btn-primary my-2" data-bs-toggle="modal" data-bs-target="#addProjetModal"> -->
          <i class="fa fa-fw fa-plus"></i>
          <span class="d-none d-sm-inline ms-1">Registrar Chamada</span>
        </a>
        @endcan
      </div>
    </div>
  </div>
</div>
<!-- END Hero -->


@csrf


<div class="content content-boxed">
  <!-- Current Jobs -->
  <h2 class="content-heading" >
    <i class="fa fa-briefcase text-muted me-1"></i> Listagem de Chamadas
  </h2>




  @foreach($chamadas as $item)
  <div class="block block-rounded">
    <div class="block-content block-content-full">
      <div class="d-sm-flex">
        <div class="ms-sm-2 me-sm-4 py-2 text-center">
          <div class="btn-group btn-group-sm">
            <a class="btn btn-alt-secondary" href="/editar_chamada/{{$item->id}}">
              <i class="fa fa-pencil-alt text-info"></i>
            </a>
            <a class="btn btn-alt-secondary eliminar_chamada" href="/eliminar_chamada/{{$item->id}}">
              <i class="fa fa-times text-danger"></i>
            </a>
          </div>
        </div>
        <div class="py-2">
          <a class="link-fx h4 mb-1 d-inline-block text-dark" href="/visualizar_chamada/{{$item->id}}">
            {{$item->descricao}}
          </a>
          <p>{{$item->nome_completo}}</p>
          <p>{{$item->data}}</p>
        </div> 
      </div>
    </div>
  </div>
  @endforeach


</div>

<script>
  document.querySelector('#select1').addEventListener('change', function() {
    let value = this.value;

    // use o método fetch para enviar a requisição
    fetch('{{ route('selects.filter')}}', {
          method: 'POST',
          body: JSON.stringify({
            _token: '{{ csrf_token() }}',
            value: value
          }),
          headers: {
            'Content-Type': 'application/json'
          }
        })
      .then(response => response.json())
      .then(data => {
        let select2 = document.querySelector('#select2');
        select2.innerHTML = '';

        // use o método forEach para percorrer as opções filtradas e adicioná-las ao select2
        data.forEach(function(item) {
          let option = document.createElement('option');
          option.value = item.id;
          option.text = item.descricao;
          select2.appendChild(option);
        });
      });
  });
</script>


@endsection