<!-- Modal -->
<div class="modal fade" id="modalChamada" tabindex="-1" aria-labelledby="chamadaModalLabel" aria-hidden="true">
    <form action="/salvar_chamada" enctype="multipart/form-data" method="post">
        @csrf
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Chamada </h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>

                {{-- só quem tem permissão para visualizar esta página --}}
                @can('pode_visualizar_chamada')
                <div class="modal-body">

                    <div class="errMsgContainer mb-3">
                    </div>

                    <div class="row g-4 align-items-center">
                        @csrf

                        <!-- trazer todas as organizações -->
                        <div class="col-12">
                            <label class="form-label" for="example-select">Organização</label>
                            <select class="form-select" id="select1" name="organizacao_id">
                                @foreach($organizacoes as $item)
                                <option {{$item->id == $turma->organizacao_id ? 'selected' : ''}} selected value="{{$item->id}}">{{$item->nome}}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-12">
                            <label class="form-label" for="example-select">Projeto</label>
                            <select class="form-select" id="select2" name="projeto_id">
                                @foreach($projetos as $item)
                                <option {{$item->id == $turma->projeto_id ? 'selected' : ''}} value="{{$item->id}}">{{$item->descricao}}</option>
                                @endforeach
                            </select>
                        </div>
                        <!-- trazer todas as organizações -->
                    <div class="col-10">
                            <label class="form-label" for="example-select">Turmas</label>
                            <select class="form-select" id="select3" name="turma_id">
                                <option {{$item->id == $turma->id ? 'selected' : ''}} value="{{$item->id}}">{{$item->descricao}}</option>
                            </select>
                        </div>
                        <!-- <div class="col-2" >
                        <label ></label>
                            <span class="input-group-text border-0 bg-body">
                                <a type="submit"> <i class="fa fa-fw fa-search"></i> </a>
                            </span>
                        </div> -->
                        <hr>

                        <!-- deixar esses campos ocultos só trazer depois que clicar em pesquisar -->
                        <!-- card com as informações para o professor ver se estar certo ao clicar aparecer em baixo para fazer a chamada -->
                        <!-- <div class="block block-rounded">
                            <div class="block-content block-content-full">
                                <div class=" row d-sm-flex">
                                    <p class="text-muted col-7">
                                        Professor
                                    </p>
                                    <p class="text-muted col-3">
                                        Turma
                                    </p>
                                    <p class="text-muted col-3">
                                        Projeto
                                    </p>
                                    <p class="text-muted col-3">
                                        Período
                                    </p>
                                    <p class="text-muted col-3">
                                        Ano
                                    </p>
                                    <p class="col-3">
                                        <a type="submit"> <i class="fa fa-fw fa-search"></i> </a>
                                    </p>
                                </div>
                            </div>
                        </div> -->

                        <!-- trazer preenchido o nome do professor, turma, projeto, data e a lista com os alunos matriculados -->
                        <div class="col-12">
                            <label class="form-label" for="example-select">Professor</label>
                            <!-- <input type="text" class="form-control" id="funcionario_id" name="funcionario_id" value="{{$funcionario->id}}"> -->

                            <select class="form-select" id="funcionario_id" name="funcionario_id" value="{{$turma->funcionario_id}}" required>
                                <option value="{{$funcionario->id}}">{{$funcionario->nome_completo}}</option>
                            </select>
                        </div>

                         <div class="col-7">
                            <label class="form-label" for="example-select">Categoria</label>
                            <select class="form-select" id="funcionario_id" name="categoria_id" value="{{$turma->categoria_id}}" required>
                                @foreach($categorias as $item)
                                <option value="{{$item->id}}">{{$item->descricao}}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-5">
                            <label class="form-label" for="example-select">Data</label>
                            <input type="date" class="form-control" id="date" name="data" readonly value="{{ $currentDate }}">
                        </div>
                        <div class="col-12">
                            <label class="form-label" for="example-select" style="text-align: right;">Descrição do que foi feito em aula</label>
                            <!-- <input type="text" class="form-control" id="descricao" name="descricao"> -->
                            <br>
                            <textarea name="descricao" id="descricao" cols="50" rows="3"></textarea>
                        </div>
                        <div class="col-12">
                            <label class="form-label" for="example-select">Imagens da aula</label>
                            <input type="file" class="form-control" id="aula" name="imagens">
                        </div>
                        <hr>
                        @if($estudantes)
                        <div class="col-12">
                            <table class="table table-hover">
                                <thead>
                                    <tr>
                                        <th scope="col">RM</th>
                                        <th scope="col">Nome</th>
                                        <th scope="col">Presença</th>
                                        <th scope="col">Observação</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($estudantes as $item)
                                    <tr>
                                        <td scope="row"> {{$item->rm}} </td> <!-- trazer os rm -->
                                        <td scope="row">{{$item->nome}}</td> <!-- trazer os nomes -->
                                        <td scope="row"><input type="checkbox" class="form-check-input" id="chamadaCheck" name="presencas[]" checked value="{{$item->id}}"></td> <!-- deixar todos checados para desmarcar quem não veio -->
                                        <td scope="row"><textarea name="" id="" cols="15" rows="1"></textarea></td> <!-- deixar campo para escrever -->
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                        @endif
                        <div class="col-12">
                            <label class="form-label" for="example-select">Observações</label>
                            <input type="text" class="form-control" id="input" name="observacoes">
                        </div>
                    </div>
                    <br>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fechar</button>
                    <button type="submit" class="btn btn-primary">Registrar Chamada</button>
                </div>
                {{-- Pra quem não tem permissão de visualizar essa página aparecerá a mensagem abaixo --}}
                @else

                <center>
                    <br>
                    <div class="alert alert-danger" role="alert">
                        Você não tem permissão pra visualizar essa página!
                    </div>
                </center>

                @endcan
            </div>
        </div>
    </form>
</div>




<script src="https://unpkg.com/axios/dist/axios.min.js"></script>

<script>
    const searchInput = document.getElementById('search-input');
    const searchResults = document.getElementById('search-results');

    searchInput.addEventListener('input', () => {
        axios.get('/search_estudante', {
                params: {
                    query: searchInput.value
                }
            })
            .then(response => {
                console.log(response);
                console.log(response.data);
                searchResults.innerHTML = '';
                response.data.forEach(item => {
                    const link = document.createElement('a');
                    link.textContent = item.nome;
                    link.href = '/registar_matriculas/' + item.id;
                    const li = document.createElement('li');
                    li.appendChild(link);
                    // li.textContent = item.id;
                    searchResults.appendChild(li);
                });
            });
    });
</script>


<script>
    document.querySelector('#select1').addEventListener('change', function() {
        let value = this.value;

        // use o método fetch para enviar a requisição
        fetch('{{ route('selects.filter_projetos_por_organizacao') }}', {
                    method: 'POST',
                    body: JSON.stringify({
                        _token: '{{ csrf_token() }}',
                        value: value
                    }),
                    headers: {
                        'Content-Type': 'application/json'
                    }
                })
            .then(response => response.json())
            .then(data => {
                let select2 = document.querySelector('#select2');
                select2.innerHTML = '';

                let option = document.createElement('option');
                option.value = "";
                option.text = "";
                select2.appendChild(option);
                // use o método forEach para percorrer as opções filtradas e adicioná-las ao select2
                data.forEach(function(item) {
                    let option = document.createElement('option');
                    option.value = item.id;
                    option.text = item.descricao;
                    select2.appendChild(option);
                });
            });
    });

    document.querySelector('#select2').addEventListener('change', function() {
        let value = this.value;

        // use o método fetch para enviar a requisição
        //   window.location.href = "/visualizar_turmas_recentes_por_projeto_selecionado/" + value;


        // use o método fetch para enviar a requisição
        fetch('{{ route('selects.filter_turmas_por_projeto') }}', {
                    method: 'POST',
                    body: JSON.stringify({
                        _token: '{{ csrf_token() }}',
                        value: value
                    }),
                    headers: {
                        'Content-Type': 'application/json'
                    }
                })
            .then(response => response.json())
            .then(data => {
                let select3 = document.querySelector('#select3');
                select3.innerHTML = '';

                console.log(data);
                // use o método forEach para percorrer as opções filtradas e adicioná-las ao select3

                let option = document.createElement('option');
                option.value = "";
                option.text = "";
                select3.appendChild(option);
                data.forEach(function(item) {
                    let option = document.createElement('option');
                    option.value = item.id;
                    option.text = item.descricao;
                    select3.appendChild(option);
                });
            });


    });

    document.getElementById("input").addEventListener("keypress", function(event) {
  if (event.keyCode === 13) {
    event.preventDefault();
  }
});
</script>
